import { ExecParams } from '@goldstack/utils-sh';
import { AwsCredentialIdentityProvider } from '@aws-sdk/types';
export declare const hasAwsCli: () => boolean;
export declare const assertAwsCli: () => void;
interface AWSExecParams {
    credentials: AwsCredentialIdentityProvider;
    command: string;
    region: string;
    workDir?: string;
    options?: ExecParams;
}
export declare const execWithDocker: (params: AWSExecParams) => Promise<string>;
export declare const execWithCli: (params: AWSExecParams) => Promise<string>;
export declare const awsCli: (params: AWSExecParams) => Promise<string>;
export {};
//# sourceMappingURL=utilsAwsCli.d.ts.map